> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.sign.plus/llms.txt
> Use this file to discover all available pages before exploring further.

# Download signed documents

> Download signed documents for an envelope



## OpenAPI

````yaml get /envelope/{envelope_id}/signed_documents
openapi: 3.0.0
info:
  title: Sign.plus Developer API v2
  description: Integrate legally-binding electronic signature to your workflow
  version: 2.8.0
  contact:
    name: Sign.Plus
    url: https://sign.plus
    email: support@alohi.com
servers:
  - url: https://restapi.sign.plus/v2
    description: Sign.Plus API - Production
security: []
tags:
  - name: signplus
    description: Sign.plus API
paths:
  /envelope/{envelope_id}/signed_documents:
    get:
      tags:
        - signplus
      description: Download signed documents for an envelope
      operationId: download_envelope_signed_documents
      parameters:
        - in: path
          name: envelope_id
          required: true
          schema:
            type: string
          description: ID of the envelope
        - in: query
          name: certificate_of_completion
          required: false
          schema:
            type: boolean
            default: true
          description: >-
            Whether to include the certificate of completion in the downloaded
            file
      responses:
        '200':
          description: Combined signed documents downloaded successfully
          content:
            application/pdf:
              schema:
                type: string
                format: binary
      security:
        - BearerAuth:
            - SIGN_ALL_READ
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````